## IdeBuildResult IdeBuildResult |

## Functions

GInputStream * | ide_build_result_get_stdout_stream ()
GInputStream * | ide_build_result_get_stderr_stream ()
void | ide_build_result_log_subprocess ()
GTimeSpan | ide_build_result_get_running_time ()
gboolean | ide_build_result_get_running ()
void | ide_build_result_set_running ()
void | ide_build_result_emit_diagnostic ()
gchar * | ide_build_result_get_mode ()
void | ide_build_result_set_mode ()
void | ide_build_result_log_stdout ()
void | ide_build_result_log_stderr ()

## Types and Values

#define | IDE_TYPE_BUILD_RESULT
enum | IdeBuildResultLog
struct | IdeBuildResultClass
| IdeBuildResult

## Description

## Functions

### ide_build_result_get_stdout_stream ()

    GInputStream *
    ide_build_result_get_stdout_stream (IdeBuildResult *result);

Fetches a merged stdout stream for all child processes of this build result.

#### Returns

A GInputStream or `NULL`.

[transfer none][nullable]

### ide_build_result_get_stderr_stream ()

    GInputStream *
    ide_build_result_get_stderr_stream (IdeBuildResult *result);

Fetches a merged stdedrr stream for all child processes of this build result.

#### Returns

A GInputStream.

[transfer none]

### ide_build_result_log_subprocess ()

    void
    ide_build_result_log_subprocess (IdeBuildResult *result,
                                     IdeSubprocess *subprocess);

### ide_build_result_get_running_time ()

    GTimeSpan
    ide_build_result_get_running_time (IdeBuildResult *self);

### ide_build_result_get_running ()

    gboolean
    ide_build_result_get_running (IdeBuildResult *self);

### ide_build_result_set_running ()

    void
    ide_build_result_set_running (IdeBuildResult *self,
                                  gboolean running);

### ide_build_result_emit_diagnostic ()

    void
    ide_build_result_emit_diagnostic (IdeBuildResult *self,
                                      IdeDiagnostic *diagnostic);

### ide_build_result_get_mode ()

    gchar *
    ide_build_result_get_mode (IdeBuildResult *self);

### ide_build_result_set_mode ()

    void
    ide_build_result_set_mode (IdeBuildResult *self,
                               const gchar *mode);

### ide_build_result_log_stdout ()

    void
    ide_build_result_log_stdout (IdeBuildResult *result,
                                 const gchar *format,
                                 ...);

### ide_build_result_log_stderr ()

    void
    ide_build_result_log_stderr (IdeBuildResult *result,
                                 const gchar *format,
                                 ...);

## Types and Values

### IDE_TYPE_BUILD_RESULT

    #define IDE_TYPE_BUILD_RESULT (ide_build_result_get_type())

### enum IdeBuildResultLog

#### Members

IDE_BUILD_RESULT_LOG_STDOUT |  |
IDE_BUILD_RESULT_LOG_STDERR |  |

### struct IdeBuildResultClass

    struct IdeBuildResultClass {
      IdeObjectClass parent;

      void (*diagnostic) (IdeBuildResult    *self,
                          IdeDiagnostic     *diagnostic);
      void (*log)        (IdeBuildResult    *self,
                          IdeBuildResultLog  log,
                          const gchar       *message);

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
    };

### IdeBuildResult

    typedef struct _IdeBuildResult IdeBuildResult;